Bug 1224468 - [abrt] gnome-shell: meta_monitor_manager_xrandr_read_current(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_monitor_manager_xrandr_read_current(): gnome-shell k...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d4e61df9ac5f0759a1626778634...
: 1243105 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-23 09:51 UTC by Tim Waugh
Modified: 2016-12-20 13:41 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 13:41:39 UTC


Attachments (Terms of Use)
File: backtrace (91.41 KB, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: cgroup (190 bytes, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: core_backtrace (17.69 KB, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: dso_list (26.45 KB, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: environ (1.73 KB, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: maps (114.31 KB, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: mountinfo (3.71 KB, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: open_fds (3.14 KB, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: proc_pid_status (967 bytes, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details
File: var_log_messages (744 bytes, text/plain)
2015-05-23 09:51 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2015-05-23 09:51:29 UTC
Description of problem:
Not sure. This might have been when I connected the laptop to a dock with a monitor attached.

Version-Release number of selected component:
gnome-shell-3.16.2-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_monitor_manager_xrandr_read_current
executable:     /usr/bin/gnome-shell
global_pid:     2161
kernel:         4.0.4-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 meta_monitor_manager_xrandr_read_current at backends/x11/meta-monitor-manager-xrandr.c:720
 #1 meta_monitor_manager_read_current_config at backends/meta-monitor-manager.c:1209
 #2 meta_monitor_manager_xrandr_handle_xevent at backends/x11/meta-monitor-manager-xrandr.c:1227
 #3 handle_host_xevent at backends/x11/meta-backend-x11.c:276
 #4 x_event_source_dispatch at backends/x11/meta-backend-x11.c:336
 #9 meta_run at core/main.c:437

Comment 1 Tim Waugh 2015-05-23 09:51:34 UTC
Created attachment 1029000 [details]
File: backtrace

Comment 2 Tim Waugh 2015-05-23 09:51:35 UTC
Created attachment 1029001 [details]
File: cgroup

Comment 3 Tim Waugh 2015-05-23 09:51:37 UTC
Created attachment 1029002 [details]
File: core_backtrace

Comment 4 Tim Waugh 2015-05-23 09:51:39 UTC
Created attachment 1029003 [details]
File: dso_list

Comment 5 Tim Waugh 2015-05-23 09:51:40 UTC
Created attachment 1029004 [details]
File: environ

Comment 6 Tim Waugh 2015-05-23 09:51:42 UTC
Created attachment 1029005 [details]
File: limits

Comment 7 Tim Waugh 2015-05-23 09:51:45 UTC
Created attachment 1029006 [details]
File: maps

Comment 8 Tim Waugh 2015-05-23 09:51:47 UTC
Created attachment 1029007 [details]
File: mountinfo

Comment 9 Tim Waugh 2015-05-23 09:51:48 UTC
Created attachment 1029008 [details]
File: namespaces

Comment 10 Tim Waugh 2015-05-23 09:51:49 UTC
Created attachment 1029009 [details]
File: open_fds

Comment 11 Tim Waugh 2015-05-23 09:51:51 UTC
Created attachment 1029010 [details]
File: proc_pid_status

Comment 12 Tim Waugh 2015-05-23 09:51:52 UTC
Created attachment 1029011 [details]
File: var_log_messages

Comment 13 Vít Ondruch 2015-07-08 07:51:42 UTC
I inserted LP into dock, then tried to open control panel, since my secondary monitor did not switch on.

Comment 14 David Strauss 2015-07-28 17:41:06 UTC
I believe these issues are related to DisplayPort MST.

Comment 15 Shatadru Bandyopadhyay 2015-09-16 13:40:25 UTC
This issue is reproducible with the steps Tim mentioned.
~~~
1. Attach a monitor to dock station
2. Attach the laptop to the dock
~~~

System info :
~~~
 Hostname: sbandyop.laptop
  Distro:   [redhat-release] Fedora release 22 (Twenty Two)
            [fedora-release] Fedora release 22 (Twenty Two)
            [os-release] Fedora 22 (Twenty Two) 22 (Twenty Two)
  Runlevel: N 5  (default graphical)
  SELinux:  permissive  (default permissive)
  Arch:     mach=x86_64  cpu=x86_64  platform=x86_64
  Kernel:
    Booted kernel:  4.1.6-201.fc22.x86_64
    Build version:
      Linux version 4.1.6-201.fc22.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org) (gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC) ) #1 SMP Fri Sep 4 17:49:24 UTC 2015
    Booted kernel cmdline:
      root=/dev/mapper/fedora21-root ro rd.lvm.lv=fedora21/root rd.lvm.lv=fedora21/swap rd.luks.uuid=luks-6d85bdfc-b833-4fa4-ba5b-85f222cb7d16 rhgb quiet crashkernel=auto LANG=en_IN.UTF-8

DMIDECODE
  BIOS:
    Vend: LENOVO
    Vers: GLET77WW (2.31 )
    Date: 01/27/2015
    BIOS Rev: 2.31
    FW Rev:   1.8
  System:
    Mfr:  LENOVO
    Prod: 20AWS2A101
    Vers: ThinkPad T440p
  CPU:
    1 of 1 CPU sockets populated, 4 cores/8 threads per CPU
    4 total cores, 8 total threads
    Mfr:  Intel(R) Corporation
    Fam:  Core i7
    Freq: 2500 MHz
    Vers: Intel(R) Core(TM) i7-4710MQ CPU @ 2.50GHz
  Memory:
    16384 MB (16 GB) total
    2 of 2 DIMMs populated (system max capacity 16 GB)

~~~

dmesg
~~~
[24172.144882] thinkpad_acpi: docked into hotplug port replicator
[24172.741879] show_signal_msg: 201 callbacks suppressed
[24172.741883] gnome-shell[13329]: segfault at 0 ip 00007f7051be6392 sp 00007ffc688b8830 error 4 in libmutter.so.0.0.0[7f7051b97000+f0000]
~~~

Coredump backtrace :
~~~
{   "signal": 11
,   "executable": "/usr/bin/gnome-shell"
,   "only_crash_thread": true
,   "stacktrace":
      [ {   "crash_thread": true
        ,   "frames":
              [ {   "address": 140120384496530
                ,   "build_id_offset": 324498
                ,   "function_name": "meta_monitor_manager_xrandr_read_current"
                ,   "file_name": "/usr/lib64/libmutter.so.0.0.0"
                }
              , {   "address": 140120384474089
                ,   "build_id": "248b4c49bf9ee076f11b04ae24bc373cfeff4434"
                ,   "build_id_offset": 302057
                ,   "function_name": "meta_monitor_manager_read_current_config"
                ,   "file_name": "/usr/lib64/libmutter.so.0.0.0"
                }
              , {   "address": 140120384499056
                ,   "build_id": "248b4c49bf9ee076f11b04ae24bc373cfeff4434"
                ,   "build_id_offset": 327024
                ,   "function_name": "meta_monitor_manager_xrandr_handle_xevent"
                ,   "file_name": "/usr/lib64/libmutter.so.0.0.0"
                }
              , {   "address": 140120384484411
                ,   "build_id": "248b4c49bf9ee076f11b04ae24bc373cfeff4434"
                ,   "build_id_offset": 312379
                ,   "function_name": "x_event_source_dispatch"
                ,   "file_name": "/usr/lib64/libmutter.so.0.0.0"
                }
              , {   "address": 140120322456202
                ,   "build_id": "7c936c01704440a7500d25147101437483bf8624"
                ,   "build_id_offset": 301706
                ,   "function_name": "g_main_context_dispatch"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4400.1"
                }
              , {   "address": 140120322457120
                ,   "build_id": "7c936c01704440a7500d25147101437483bf8624"
                ,   "build_id_offset": 302624
                ,   "function_name": "g_main_context_iterate.isra.29"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4400.1"
                }
              , {   "address": 140120322457922
                ,   "build_id": "7c936c01704440a7500d25147101437483bf8624"
                ,   "build_id_offset": 303426
                ,   "function_name": "g_main_loop_run"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4400.1"
                }
              , {   "address": 140120384641046
                ,   "build_id": "248b4c49bf9ee076f11b04ae24bc373cfeff4434"
                ,   "build_id_offset": 469014
                ,   "function_name": "meta_run"
                ,   "file_name": "/usr/lib64/libmutter.so.0.0.0"
                }
              , {   "address": 4203517
                ,   "build_id": "d1a707f1392b0b14d89e55d272917a657dae510e"
                ,   "build_id_offset": 9213
                ,   "function_name": "main"
                ,   "file_name": "/usr/bin/gnome-shell"
                } ]
        } ]
}
~~~

--Shatadru

Comment 16 Owen Taylor 2015-10-08 21:47:51 UTC
*** Bug 1243105 has been marked as a duplicate of this bug. ***

Comment 17 Vadim Rutkovsky 2015-10-19 11:00:38 UTC
Another user experienced a similar problem:

Crashed on startup. Lenovo T440s with additional monitor on dock

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_monitor_manager_xrandr_read_current
executable:     /usr/bin/gnome-shell
global_pid:     3040
kernel:         4.2.3-300.fc23.x86_64
package:        gnome-shell-3.18.1-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Hein-Pieter van Braam 2015-11-09 09:42:17 UTC
I have the same problem with my Lenovo T450s with additional monitors on a dock.

Same configuration as the previous report otherwise.

Comment 19 Fedora End Of Life 2016-11-24 11:48:43 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2016-12-20 13:41:39 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.